# SnapshotsApi

All URIs are relative to *<https://api.ionos.com/databases/mongodb>*

| Method                                                  | HTTP request                            | Description                       |
| ------------------------------------------------------- | --------------------------------------- | --------------------------------- |
| [**clusters\_snapshots\_get**](#clusters_snapshots_get) | **GET** /clusters/{clusterId}/snapshots | Get the snapshots of your cluster |

## clusters\_snapshots\_get

> clusters\_snapshots\_get(cluster\_id, opts)

Get the snapshots of your cluster

Retrieves MongoDB snapshots.

### Examples

```ruby
require 'time'
require 'ionoscloud-dbaas-mongo'
# setup authorization
IonoscloudDbaasMongo.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudDbaasMongo::SnapshotsApi.new
cluster_id = 'cluster_id_example' # String | The unique ID of the cluster.
opts = {
  limit: 100, # Integer | The maximum number of elements to return. Use together with 'offset' for pagination.
  offset: 200 # Integer | The first element to return. Use together with 'limit' for pagination.
}

begin
  # Get the snapshots of your cluster
  result = api_instance.clusters_snapshots_get(cluster_id, opts)
  p result
rescue IonoscloudDbaasMongo::ApiError => e
  puts "Error when calling SnapshotsApi->clusters_snapshots_get: #{e}"
end
```

#### Using the clusters\_snapshots\_get\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> clusters\_snapshots\_get\_with\_http\_info(cluster\_id, opts)

```ruby
begin
  # Get the snapshots of your cluster
  data, status_code, headers = api_instance.clusters_snapshots_get_with_http_info(cluster_id, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <SnapshotList>
rescue IonoscloudDbaasMongo::ApiError => e
  puts "Error when calling SnapshotsApi->clusters_snapshots_get_with_http_info: #{e}"
end
```

### Parameters

| Name            | Type        | Description                                                                          | Notes                        |
| --------------- | ----------- | ------------------------------------------------------------------------------------ | ---------------------------- |
| **cluster\_id** | **String**  | The unique ID of the cluster.                                                        |                              |
| **limit**       | **Integer** | The maximum number of elements to return. Use together with 'offset' for pagination. | \[optional]\[default to 100] |
| **offset**      | **Integer** | The first element to return. Use together with 'limit' for pagination.               | \[optional]\[default to 0]   |

### Return type

[**SnapshotList**](/mongodb-sdk-ruby/models/snapshotlist.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/mongodb-sdk-ruby/api/snapshotsapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
